<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Entity;

use JMS\Serializer\Annotation\Type;

/**
 */
class DomainResponse
{
    /**
     * The domain ID
     * @Type("integer")
     * @var int
     */
    public $id;
    /**
     * Creation date
     * @Type("string")
     * @var string
     */
    public $created;
    /**
     * Domain name
     * @Type("string")
     * @var string
     */
    public $name;
    /**
     * Domain display name
     * @Type("string")
     * @var string
     */
    public $ascii_name;
    /**
     * It specifies the status of the created site. Data type: string. Allowed values: 0 | 8 | 16 | 64. Meanings: 0 - site is active, 8 - web service for the site is suspended by Administrator, 16 - site is disabled by Administrator, 32 - site is disabled by Reseller, 64 - site is disabled by a customer
     * @Type("integer")
     * @var int
     */
    public $status;
    /**
     * Base domain ID
     * @Type("integer")
     * @var string
     */
    public $base_domain_id;
    /**
     * @Type("string")
     * @var string
     */
    public $guid;
    /**
     * @Type("string")
     * @var string
     */
    public $hosting_type;
    /**
     * @Type("string")
     * @var string
     */
    public $www_root;
}
