<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Handler;

use PleskExt\RestApi\v2\Annotation\Producer;
use PleskExt\RestApi\v2\Annotation\Consumer;
use PleskExt\RestApi\v2\Mapper\DomainStatus as DomainStatusMapper;
use PleskExt\RestApi\v2\Entity\DomainStatus as DomainStatusEntity;
use PleskExt\RestApi\v2\Helper\InvokableHandler;
use PleskExt\RestApi\v2\SDK;
use Slim\Http\Request;
use Slim\Http\Response;

class DomainsIdStatus extends InvokableHandler
{
    /**
     * @Producer(mapper=DomainStatusMapper::class)
     */
    protected function get(Request $request, Response $response)
    {
        $domain = \pm_Domain::getByDomainId($request->getAttribute('id'));

        return $response->write($this->produce($domain));
    }

    /**
     * @Consumer(type=DomainStatusEntity::class)
     * @Producer(mapper=DomainStatusMapper::class)
     */
    protected function put(Request $request, Response $response)
    {
        $domain = SDK\pm_Domain::getByDomainId($request->getAttribute('id'));
        $domain->setStatus($this->consume());

        return $response->write($this->produce(SDK\pm_Domain::getByDomainId($request->getAttribute('id'))));
    }
}
