<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Handler;

use PleskExt\RestApi\v2\Helper\InvokableHandler;
use PleskExt\RestApi\v2\SDK;
use PleskExt\RestApi\v2\Annotation\Producer;
use PleskExt\RestApi\v2\Mapper\Extension as ExtensionMapper;
use PleskExt\RestApi\v2\Entity\SuccessResponse;
use Slim\Http\Request;
use Slim\Http\Response;

class ExtensionsId extends InvokableHandler
{
    /**
     * @Producer(mapper=ExtensionMapper::class)
     */
    protected function get(Request $request, Response $response)
    {
        $extension = SDK\pm_Extension::getById($request->getAttribute('id'));

        return $response->write($this->produce($extension));
    }

    protected function delete(Request $request, Response $response)
    {
        $extension = SDK\pm_Extension::getById($request->getAttribute('id'));
        $extension->uninstall();

        return $response->write($this->serialize(new SuccessResponse));
    }
}
