<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Handler;

use PleskExt\RestApi\v2\Annotation\Consumer;
use PleskExt\RestApi\v2\Helper\InvokableHandler;
use PleskExt\RestApi\v2\Entity\ServerInit as ServerInitEntity;
use PleskExt\RestApi\v2\Entity\SuccessResponse;
use PleskExt\RestApi\v2\SDK;
use Slim\Http\Request;
use Slim\Http\Response;

class ServerInit extends InvokableHandler
{
    /**
     * @Consumer(type=ServerInitEntity::class)
     */
    protected function post(Request $request, Response $response)
    {
        /** @var ServerInitEntity $serverInit */
        $serverInit = $this->consume();

        SDK\pm_Server::initSetup($serverInit->admin, $serverInit->password, $serverInit->server_name);

        return $response->write(
            $this->produce(
                new SuccessResponse()
            )
        );
    }
}
