<?php
// Copyright 1999-2018. Plesk International GmbH. All rights reserved.
namespace PleskExt\RestApi\v2\Handler;

use PleskExt\RestApi\v2\Annotation\Producer;
use PleskExt\RestApi\v2\Helper\InvokableHandler;
use PleskExt\RestApi\v2\Mapper\ServerIps as ServerIpsMapper;
use PleskExt\RestApi\v2\SDK;
use Slim\Http\Request;
use Slim\Http\Response;

class ServerIps extends InvokableHandler
{
    /**
     * @Producer(mapper=ServerIpsMapper::class)
     */
    protected function get(Request $request, Response $response)
    {
        $ipAddresses = SDK\pm_Server::getIpAddresses();

        return $response->write($this->produce($ipAddresses));
    }
}
